From 26fe9b02f794efa467fc952fab0ff42fdad96b57 Mon Sep 17 00:00:00 2001
From: Hiroshi Ohkubo <ohkubo.fs@gmail.com>
Date: Sat, 13 Feb 2016 14:57:10 +0900
Subject: [PATCH 2/3] Don't exit when premounted /cdrom found

Return from newly extracted detect_and_mount_cdrom instead.

Signed-off-by: Hiroshi Ohkubo <ohkubo.fs@gmail.com>
---
 debian/cdrom-detect.postinst | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

diff --git a/debian/cdrom-detect.postinst b/debian/cdrom-detect.postinst
index da7dadf..5f5cf1a 100755
--- a/debian/cdrom-detect.postinst
+++ b/debian/cdrom-detect.postinst
@@ -62,12 +62,13 @@ case "$OS" in
 		
 esac
  
+detect_and_mount_cdrom() {
 # Is a cdrom already mounted? If so, assume it's the right one.
-mount | grep -q 'on /cdrom' && exit 0
+mount | grep -q 'on /cdrom' && return 0
 if [ -e /cdrom/.disk/info ]; then
 	CDNAME=$(cat /cdrom/.disk/info)
 	log "Detected CD '$CDNAME'"
-	exit 0
+	return 0
 fi
 
 hw-detect cdrom-detect/detect_progress_title || true
@@ -95,7 +96,7 @@ while true; do
 	devices="$(list-devices cd; list-devices maybe-usb-floppy)"
 	for device in $devices; do
 		if try_mount $device $CDFS; then
-			break 2
+			return 0
 		fi
 	done
 	
@@ -103,11 +104,11 @@ while true; do
 	for device in $devices; do
 		if try_mount $device $CDFS; then
 			db_set cdrom-detect/hybrid true
-			break 2
+			return 0
 		fi
 		if try_mount $device $FATFS; then
 			db_set cdrom-detect/usb-hdd true
-			break 2
+			return 0
 		fi
 	done
 
@@ -194,7 +195,7 @@ while true; do
 		if mount -t $CDFS -o $OPTIONS $device /cdrom; then
 			log "CD-ROM mount succeeded: device=$device fstype=$CDFS"
 			db_set cdrom-detect/cdrom_fs $CDFS
-			break
+			return 0
 		else
 			log "CD-ROM mount failed: device=$device fstype=$CDFS"
 			fail
@@ -203,6 +204,8 @@ while true; do
 		fail
 	fi
 done
+}
+detect_and_mount_cdrom
 
 # Check for unetbootin files
 UNETBOOTIN_FILES="ubnfilel.txt ubninit ubnkern ubnpathl.txt"
-- 
2.1.4

